Package ru.bitel.bgbilling.modules.mangooffice.common.bean

# Class MangoPhone

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mangooffice.common.bean.MangoPhone

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MangoPhone extends Id
Номер телефона привязанного к продукту

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MangoPhone()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountProductId()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getPhone()`
  `int`
  `getStatus()`
  `void`
  `setAccountProductId(int accountProductId)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(Date dateAdd)`
  `void`
  `setDateTo(Date dateDelete)`
  `void`
  `setPhone(String phone)`
  `void`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MangoPhone

    public MangoPhone()

- ## Method Details

  - ### getAccountProductId

    public int getAccountProductId()

  - ### setAccountProductId

    public void setAccountProductId(int accountProductId)

  - ### getPhone

    public String getPhone()

  - ### setPhone

    public void setPhone(String phone)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateAdd)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateDelete)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)